plugins {
    id 'java'
    id 'com.github.johnrengelman.shadow' version '8.1.1'
    id 'edu.sc.seis.launch4j' version '3.0.6'
}

group = 'tech.nevets'
version = '0.3.1'

repositories {
    mavenCentral()
    maven {
        name = "Gitea"
        url = uri("https://git.nevets.tech/api/packages/Steven/maven")
    }
}

dependencies {
    //implementation files("libs/miglayout-swing-11.4.2.jar")
    //implementation files("libs/miglayout-core-11.4.2.jar")
    implementation "com.miglayout:miglayout-swing:11.4.2"
    //implementation files("libs/flatlaf-3.5.1.jar")
    implementation "com.formdev:flatlaf:3.5.1"
    //implementation files("libs/gson-2.11.0.jar")
    implementation "com.google.code.gson:gson:2.11.0"

    implementation "tech.nevets:JConf:0.1.0:no-deps"
}

tasks.withType(JavaCompile).configureEach {
    options.encoding = 'UTF-8'
}

jar {
    manifest {
//        attributes(
//                'Main-Class': 'tech.nevets.tvpn.wg.WGTesting'
//        )
        attributes(
                'Main-Class': 'tech.nevets.tvpn.Main'
        )
    }
}

launch4j {
    mainClassName = 'tech.nevets.tvpn.Main'
    outfile = 'TVPN.exe'
    jarTask = project.tasks.shadowJar
    fileDescription = 'TVPN Client'
    icon = "${projectDir}/src/main/resources/icon.ico"
    productName = 'TVPN'
    version = "$this.version"
    textVersion = "$this.version"
    bundledJrePath = './jre'
    manifest = "${projectDir}/TVPN.exe.manifest"
}